# Yahoo! UI Library

### Storage 2.8.1

Yahoo! UI Library > Storage > YAHOO.util.StorageEvent
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.util.StorageEvent

The StorageEvent class manages the storage events by emulating the HTML 5 implementation.

### Constructor

YAHOO.util.StorageEvent `( storageArea , key , oldValue , newValue , type )`

Parameters:
  `storageArea <Object>` Required. The Storage object that was affected.
  `key <String>` Required. The key being changed; DOMString in HTML 5 spec.
  `oldValue <String>` Required. The old value of the key being changed; DOMString in HTML 5 spec.
  `newValue <String>` Required. The new value of the key being changed; DOMString in HTML 5 spec.
  `type <String>` Required. The storage event type.

### Properties

#### key - `static {String}`

The 'key' attribute represents the key being changed.

#### newValue - `static {String}`

The 'newValue' attribute represents the new value of the key being changed.

#### oldValue - `static {String}`

The 'oldValue' attribute represents the old value of the key being changed.

#### source - `static {Object}`

The 'source' attribute represents the WindowProxy object of the browsing context of the document whose key changed.

#### storageArea - `static {Object}`

The 'storageArea' attribute represents the Storage object that was affected.

#### type - `static {Object}`

The 'type' attribute represents the Storage event type.

#### url - `static {String}`

The 'url' attribute represents the address of the document whose key changed.

Copyright © 2010 Yahoo! Inc. All rights reserved.